nant(1)

NAME
NAnt - .NET build tool similar to Ant

SYNOPOSIS
nant [OPTIONS] <target> ...

DESCRIPTION
NAnt is a .Net build tool similar to Ant. The build environment is configured using an XML file and extended using .Net classes rather than executing separate shell-based commands. Each task is run by an object that implements a particular Task interface.

COMMON OPTIONS
The following are the most common options

-t[argetframework]:<text>
    Specifies the framework to target

-defaultframework:<text>
    Specifies the framework to target (Short format: /k)

-buildfile:<text>
    Use given buildfile (Short format: /f)

-D:<name>=<value>
    Use value for given property

    A file ending in .build will be used if no buildfile is specified.

@<file>
    Insert command-line settings from a text file.

OTHER OPTIONS

-debug[+|-]
    Displays debug information during build process

-e[macs][+|-]
    Produce logging information without adornments

-ext[ension]:<text>
    Load NAnt extensions from the specified assembly

-find[+|-]
    Search parent directories for build file

-h[elp][+|-]
    Prints a help message summarising the options.

-indent:<number>
    Indentation level of build output

-l[ogfile]:<filename>
    Use value as name of log output file

-listener:<text>
    Add an instance of class as a project listener

-logger:<text>
    Use given type as logger

-nologo[+|-]
    Suppresses display of the logo banner

-projecthelp[+|-]
    Prints project help information

-q[uiet][+|-]
    Displays only error or warning messages during build process

-v[erbose][+|-]
    Displays more information during build process

SEE ALSO
NAnt Project web site http://nant.sourceforge.net/ (http://nant.sourceforge.net/)

Man page by Dave Beckett, made available under the same terms as NAnt